//---------------------------------------------------------------------------

#ifndef FrmSysLogFH
#define FrmSysLogFH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
#include "ITSLogF.h"
#include "VMSCommLibF.h"
//---------------------------------------------------------------------------
class TFrmSysLog : public TForm
{
__published:	// IDE-managed Components
    TPanel *plServerInfo;
    TPanel *Panel1;
    TPanel *Panel2;
    TCheckBox *chkLogPause;
    TButton *btnClear;
    TButton *btnCopy;
    TMemo *reMsg;
    void __fastcall btnClearClick(TObject *Sender);
    void __fastcall btnCopyClick(TObject *Sender);
    void __fastcall FormShow(TObject *Sender);

private:	// User declarations
public:

public:		// User declarations
    __fastcall TFrmSysLog(TComponent* Owner);

    void DisplayMsg(String& AMsg);
    void LogWrite(IPC_LOG_MESSAGE *ALog);

	void __fastcall OnWMLogDisplayMessage(TMessage &Msg);

	BEGIN_MESSAGE_MAP
		MESSAGE_HANDLER(WM_LOG_DISPLAY, TMessage, OnWMLogDisplayMessage)
	END_MESSAGE_MAP(TForm)
};
//---------------------------------------------------------------------------
extern PACKAGE TFrmSysLog *FrmSysLog;
//---------------------------------------------------------------------------
#endif
